hk_actionquery(1)

NAME
hk_actionquery - executes a query that does not return a result set. hk_actionquery is part of the hk_classes package

SYNOPSIS
hk_actionquery -d driver -b database [OPTIONS] queryname

DESCRIPTION
hk_actionquery executes a query that does not return a result set (that means queries like UPDATE,INSERT,DELETE,CREATE). Use hk_exportxml or hk_exportcsv to execute 'SELECT'-queries. If you don't want to execute a predefined query, use --sql to add a SQL statement

EXAMPLES

hk_actionquery -d mysql -b exampledb myquery

hk_actionquery -d mysql -b examplequery --sql "SELECT * from authors"

OPTIONS

-b, --database=DATABASE
    database name

-d, --driver=DRIVERNAME
    set the SQL-driver (e.g. mysql). You can get a list of all existing SQL-drivers with -l or --list

-h, --host=HOST
    name or IP-number of the host

-l, --list
    List available database drivers

-p, --password=PASSWORD
    user password at the SQL server

-r, --port=PORT
    TCP-port on host

-s, --sql=SQL
    sql statement that should be executed

-u, --user=USERNAME
    user name at the sql-server

--version
    version and author of hk_classes

DIAGNOSTICS
hk_actionquery returns 0 if everything was ok, or 1 if an error occured. A clear text error message will be written to stderr.

AUTHOR
Horst Knorr <hk_classes@knoda.org>

SEE ALSO
hk_exportcsv(1), hk_exportxml(1), hk_importcsv(1), hk_report(1)